Index: trunk/gli/classes/dictionary_es.properties
===================================================================
--- trunk/gli/classes/dictionary_es.properties	(revision 9436)
+++ trunk/gli/classes/dictionary_es.properties	(revision 9601)
@@ -356,8 +356,4 @@
 CDM.LanguageManager.Assigned_Languages:Idiomas asignados
 
-CDM.LanguageManager.Clear_Default:Borrar el valor por omisiÃ³n
-
-CDM.LanguageManager.Clear_Default_Tooltip:Borra el idioma predeterminado
-
 CDM.LanguageManager.Default_Language:Idioma predeterminado 
 
@@ -379,7 +375,11 @@
 
 CDM.MetadataSetManager.Edit:Editar conjunto de metadatos
+
 CDM.MetadataSetManager.Edit_Message:Los conjuntos de metadatos pueden editarse usando GEMS (Editor Greenstone para Conjuntos de Metadatos)./n Inicie GEMS ejecutando gems.bat (en Windows) o gems.sh (en Linux), que se encuentran en el directorio gli de su instalaciÃ³n de Greenstone.
+
 CDM.MetadataSetManager.Edit_Message_Title:Editando conjuntos de metadatos
+
 CDM.MetadataSetManager.Edit_Tooltip:Editar el conjunto de metadatos seleccionado.
+
 CDM.MetadataSetManager.Elements:Elementos del conjunto de metadatos seleccionado
 
@@ -389,4 +389,5 @@
 
 CDM.MetadataSetManager.Remove_Tooltip:Borrar el conjunto de metadatos seleccionado de la colecciÃ³n.
+
 CDM.MetadataSetManager.Sets:Conjuntos de metadatos disponibles
 
@@ -423,6 +424,6 @@
 CDM.PlugInManager.Controls:Controles de ediciÃ³n
 
-# -- Missing translation: CDM.PlugInManager.Ignore
-# -- Missing translation: CDM.PlugInManager.Ignore_Tooltip
+CDM.PlugInManager.Ignore:No Agregar Plugin
+CDM.PlugInManager.Ignore_Tooltip:No agregar ningÃºn Plugin a esta colecciÃ³n.
 CDM.PlugInManager.Instructions:Utilice esta pantalla para aÃ±adir, configurar o eliminar plugins de su colecciÃ³n. Para aÃ±adir uno selecciÃ³nelo del cuadro de utilerÃ­as y haga click en âAÃ±adir Pluginâ.\n Para configurar o eliminar uno, elÃ­jalo de la lista de plugins asignados y a continuaciÃ³n:\n i) Cambie su posiciÃ³n en el orden haciendo click en las flechas. (Recuerde: la posiciÃ³n de RecPlug y ArcPlug es fija.)\n ii) ConfigÃºrelo haciendo click en âConfigurar Pluginâ,\n o iii) ElimÃ­nelo haciendo click en âEliminar Pluginâ.\n\n Los plugins se configuran por medio de un Ã¡rea de diseÃ±o que aparece cuando se selecciona esta opciÃ³n y que contiene una lista de argumentos. Active los argumentos e ingrese o seleccione los valores segÃºn sea necesario.
 
@@ -437,5 +438,5 @@
 CDM.PlugInManager.PlugIn_XML_Parse_Failed:No se pudieron determinar los argumentos del plugin {0}\n. Por favor, asegÃºrese que el plugin contiene\n el indicador -xml ejecutando el guiÃ³n pluginfo.pl descrito\n en la secciÃ³n 2.1 de la GuÃ­a del Programador de Greenstone.
 
-# -- Missing translation: CDM.PluginManager.Plugin_Suggestion_Prompt
+CDM.PluginManager.Plugin_Suggestion_Prompt:Ninguno de los plugins de esta colecciÃ³n puede procesar el archivo "{0}". Para procesar este archivo pueden utilizarse los siguientes plugins. En este momento usted puede agregar uno a su colecciÃ³n, seleccionÃ¡ndolo y oprimiendo el botÃ³n Agregar. (Tenga en cuenta que en cualquier momento puede cambiar la lista de plugins dirigiÃ©ndose a "Document Plugins" en el Panel de DiseÃ±o.)
 CDM.PlugInManager.Remove:Eliminar plugin
 
@@ -443,9 +444,10 @@
 
 CDM.PluginManager.SuggestedPluginListTitle:Plugins sugeridos para el archivo
+
 CDM.PlugInManager.Title:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>SelecciÃ³n y configuraciÃ³n de plugins</CENTER></FONT></STRONG></HTML>
 
 CDM.PlugInManager.Parsing.Message:La herramienta de diseÃ±o estÃ¡ cargando la informaciÃ³n del plugin
 
-CDM.PlugInManager.Parsing.Title:Cargando plugins
+CDM.PlugInManager.Parsing.Title:Cargando Plugins
 
 CDM.SearchTypeManager.Add:AÃ±adir tipo de bÃºsqueda
@@ -523,5 +525,5 @@
 CDM.SubcollectionIndexManager.Add_Subindex_Tooltip:AÃ±ade la particiÃ³n especificada a esta colecciÃ³n
 
-# -- Missing translation: CDM.SubcollectionIndexManager.Default_Partition_Indicator
+CDM.SubcollectionIndexManager.Default_Partition_Indicator:[ParticiÃ³n por Defecto]
 CDM.SubcollectionIndexManager.PartitionName:Nombre de la particiÃ³n:
 
@@ -532,12 +534,12 @@
 CDM.SubcollectionIndexManager.Remove_Subindex_Tooltip:Elimina la particiÃ³n seleccionada de esta colecciÃ³n
 
-# -- Missing translation: CDM.SubcollectionIndexManager.Replace_Subindex
-# -- Missing translation: CDM.SubcollectionIndexManager.Replace_Subindex_Tooltip
+CDM.SubcollectionIndexManager.Replace_Subindex:Remplazar ParticiÃ³n
+CDM.SubcollectionIndexManager.Replace_Subindex_Tooltip:Actualizar la particiÃ³n seleccionada
 CDM.SubcollectionIndexManager.Set_Default_Subindex:Predeterminar
 
 CDM.SubcollectionIndexManager.Set_Default_Subindex_Tooltip:Hace que la particiÃ³n seleccionada sea la particiÃ³n por omisiÃ³n
 
-# -- Missing translation: CDM.SubcollectionIndexManager.Source
-# -- Missing translation: CDM.SubcollectionIndexManager.Source_Tooltip
+CDM.SubcollectionIndexManager.Source:Construir particiÃ³n en:
+CDM.SubcollectionIndexManager.Source_Tooltip:Los filtros de la subcolecciÃ³n para construir la particiÃ³n en
 CDM.SubcollectionIndexManager.Subindexes:Particiones asignadas a la subcolecciÃ³n
 
@@ -609,6 +611,7 @@
 #
 #***** CollectionManager *****
-# -- Missing translation: CollectionManager.Build_Cancelled
+CollectionManager.Build_Cancelled:Se ha cancelado la construcciÃ³n de la colecciÃ³n.
 CollectionManager.Cannot_Create_Collection:Ha ocurrido un error y no se ha podido crear la colecciÃ³n
+
 CollectionManager.Cannot_Delete_Index:Esta colecciÃ³n no se puede reconstruir debido a que los archivos de Ã­ndices anteriores no se pueden suprimir.\n Por favor asegÃºrese que Greenstone o algÃºn otro programa no estÃ¡ usando estos archivos\n e intÃ©ntelo de nuevo.
 
@@ -623,6 +626,6 @@
 CollectionManager.Log_Created:Se ha creado la carpeta de registro.
 
-# -- Missing translation: CollectionManager.Loading_Collection
-# -- Missing translation: CollectionManager.Loading_Collection_Please_Wait
+CollectionManager.Loading_Collection:Cargando colecciÃ³n
+CollectionManager.Loading_Collection_Please_Wait:Cargando colecciÃ³n, espere por favorâŠ
 CollectionManager.Loading_Successful:ColecciÃ³n cargada {0}.
 
@@ -642,5 +645,5 @@
 CollectionPopupMenu.Delete:Suprimir
 
-# -- Missing translation: CollectionPopupMenu.New_Dummy_Doc
+CollectionPopupMenu.New_Dummy_Doc:Nuevo documento postizo 
 CollectionPopupMenu.New_Folder:Nueva carpeta
 
@@ -795,13 +798,13 @@
 #
 #****** ExplodeMetadataPrompt *******
-# -- Missing translation: ExplodeMetadataPrompt.Explode
-# -- Missing translation: ExplodeMetadataPrompt.Explode_Tooltip
-# -- Missing translation: ExplodeMetadataPrompt.Instructions
-# -- Missing translation: ExplodeMetadataPrompt.Failed_Title
-# -- Missing translation: ExplodeMetadataPrompt.Failed_Explode
-# -- Missing translation: ExplodeMetadataPrompt.NotExplodable
-# -- Missing translation: ExplodeMetadataPrompt.Successful_Explode
-# -- Missing translation: ExplodeMetadataPrompt.Successful_Title
-# -- Missing translation: ExplodeMetadataPrompt.Title
+ExplodeMetadataPrompt.Explode:Explotar
+ExplodeMetadataPrompt.Explode_Tooltip:Explotar el archivo de metadatos
+ExplodeMetadataPrompt.Instructions:La explosiÃ³n de este archivo de metadatos producirÃ¡ registros individuales con metadatos editables. Este proceso es irreversible y el archivo original de metadatos serÃ¡ eliminado de la colecciÃ³n.
+ExplodeMetadataPrompt.Failed_Title:FallÃ³ la ExplosiÃ³n.
+ExplodeMetadataPrompt.Failed_Explode:No se pudo explotar la base de datos {0}
+ExplodeMetadataPrompt.NotExplodable:Este archivo no es explotable.
+ExplodeMetadataPrompt.Successful_Explode:La base de datos {0} ha sido explotada con Ã©xito
+ExplodeMetadataPrompt.Successful_Title:Se completÃ³ la ExplosiÃ³n.
+ExplodeMetadataPrompt.Title:Explotar la Base de Datos de Metadatos
 #***********************
 #
@@ -830,20 +833,20 @@
 #
 #****** ExportAsPrompt *******
-# -- Missing translation: ExportAsPrompt.Export_Name
-# -- Missing translation: ExportAsPrompt.Export
-# -- Missing translation: ExportAsPrompt.Export_Tooltip
-# -- Missing translation: ExportAsPrompt.Failed_ExportOne
-# -- Missing translation: ExportAsPrompt.Failed_ExportMany
-# -- Missing translation: ExportAsPrompt.Failed_Details
-# -- Missing translation: ExportAsPrompt.Failed_Title
-# -- Missing translation: ExportAsPrompt.Instructions
-# -- Missing translation: ExportAsPrompt.Progress_Label
-# -- Missing translation: ExportAsPrompt.Successful_ExportOne
-# -- Missing translation: ExportAsPrompt.Successful_ExportMany
-# -- Missing translation: ExportAsPrompt.Successful_Details
-# -- Missing translation: ExportAsPrompt.Successful_Title
-# -- Missing translation: ExportAsPrompt.Title
-# -- Missing translation: ExportAsPrompt.SaveAs
-# -- Missing translation: ExportAsPrompt.SaveAs_Tooltip
+ExportAsPrompt.Export_Name:Exportar el nombre del directorio
+ExportAsPrompt.Export:Exportar la(s) colecciÃ³n(ciones)
+ExportAsPrompt.Export_Tooltip:Exportar las colecciones seleccionadas en el formato de archivo escogido al directorio designado  
+ExportAsPrompt.Failed_ExportOne:La colecciÃ³n, {0}, no pudo exportarse.
+ExportAsPrompt.Failed_ExportMany:Las colecciones -- {0} -- no pudieron exportarse.
+ExportAsPrompt.Failed_Details:Ver detalles en {1}
+ExportAsPrompt.Failed_Title:FallÃ³ la ExportaciÃ³n
+ExportAsPrompt.Instructions:Exportar una o mÃ¡s colecciones en el formato escogido al directorio estipulado
+ExportAsPrompt.Progress_Label:Exportando Archivos. Esto puede tomar algÃºn tiempoâŠ
+ExportAsPrompt.Successful_ExportOne:La colecciÃ³n -- {0} -- ha sido exportada
+ExportAsPrompt.Successful_ExportMany:Las colecciones -- {0} -- han sido exportadas
+ExportAsPrompt.Successful_Details:Archivos exportados a: {1}
+ExportAsPrompt.Successful_Title:ExportaciÃ³n Completada
+ExportAsPrompt.Title:Exportar Colecciones
+ExportAsPrompt.SaveAs:Exportar a
+ExportAsPrompt.SaveAs_Tooltip:Seleccione el formato al cual desea exportar
 #************************
 #
@@ -880,5 +883,5 @@
 FileActions.Directory_Selected:1 carpeta seleccionada
 
-# -- Missing translation: FileActions.File_Already_Exists_No_Create
+FileActions.File_Already_Exists_No_Create:El archivo '{0}' ya existe.
 FileActions.File_Already_Exists_Message:{0}\nYa existe un archivo con este nombre en la\n carpeta de destino y a pesar de que usted ha decidido reemplazarlo la Interfaz de la Biblioteca Digital\n no puede sobreescribirlo. Por favor verifique los permisos de acceso al archivo.
 
@@ -889,6 +892,6 @@
 FileActions.File_And_Directory_Selected:1 archivo y 1 carpeta seleccionadas
 
-# -- Missing translation: FileActions.File_Create_Error
-# -- Missing translation: FileActions.Folder_Create_Error
+FileActions.File_Create_Error:El archivo {0} no pudo ser creado.
+FileActions.Folder_Create_Error:La carpeta {0} no pudo ser creada.
 FileActions.File_Exists:<html>{0} ya existe en la carpeta de destino. Â¿Desea reemplazarlo?</html>
 
@@ -1039,4 +1042,5 @@
 
 General.NotSunJava:Proveedor de Java: {0}\nTenga en cuenta que la Interfaz de Bibliotecario ha sido desarrollada y probada con Java de Sun Microsystems
+
 General.OK:Aceptar
 
@@ -1213,5 +1217,5 @@
 Menu.Expand:Abrir carpeta
 
-# -- Missing translation: Menu.Explode_Metadata_Database
+Menu.Explode_Metadata_Database:Explotar la base de datos de metadatos
 Menu.File:Archivo
 
@@ -1261,4 +1265,5 @@
 
 MetadataSet.Files:Archivos de conjunto de metadatos
+
 #*********************************************
 #
@@ -1268,5 +1273,5 @@
 MIMP.Add_Tooltip:AÃ±ade el elemento de metadato al conjunto seleccionado
 
-# -- Missing translation: MIMP.Ignore
+MIMP.Ignore:Ignorar
 MIMP.Ignore_Tooltip:Ignora este elemento de metadato
 
@@ -1277,7 +1282,7 @@
 MIMP.Merge_Tooltip:Mapea el elemento de metadato hacia el elemento especificado en el conjunto seleccionado
 
-# -- Missing translation: MIMP.Source_Element
-# -- Missing translation: MIMP.Target_Element
-# -- Missing translation: MIMP.Target_Set
+MIMP.Source_Element:Elemento de metadatos origen:
+MIMP.Target_Element:Elemento de metadatos destino:
+MIMP.Target_Set:Conjunto de metadatos destino:
 MIMP.Title:Es necesario combinar los elementos.
 
@@ -1360,5 +1365,7 @@
 #***** Missing EXEC_GS3 *****
 MissingEXEC_GS3.Message:Â¡AtenciÃ³n! No podrÃ¡ ver las nuevas colecciones con la Interfaz de Bibliotecario a menos que especifique la ruta al entorno Greenstone en el servidor local Tomcat. Puede introducirla ahora en el campo de texto situado debajo, o mÃ¡s tarde en Preferencias, pestaÃ±a ConexiÃ³n. Recuerde que un URL vÃ¡lido debe comenzar con el protocolo "http://" La direcciÃ³n predefinida es http://localhost:8080/gsdl3
+
 MissingEXEC_GS3.Title:No se encuentra la direcciÃ³n de la Biblioteca Greenstone
+
 #***** Missing GSDL *****
 MissingGSDL.Message:Â¡Cuidado! Usted no podrÃ¡ tener acceso a todas las funciones de la Interfaz de la Biblioteca Digital a menos que una copia de la Biblioteca Digital Greenstone tambiÃ©n estÃ© instalada. Si usted cree que estÃ¡ recibiendo este mensaje por error, por favor revise su instalaciÃ³n y las rutas especificadas en el archivo de guiones y procesamiento por lotes de la Interfaz de la Biblioteca Digital.
@@ -1376,4 +1383,7 @@
 MissingWGET.Title:Falta Wget
 
+#******* MissingImageMagick ********
+# -- Missing translation: MissingImageMagick.Message
+MissingImageMagick.Title:Falta ImageMagick
 #*****************************
 #
@@ -1415,13 +1425,13 @@
 
 #***** New Folder OrFilePrompt *****
-# -- Missing translation: NewFolderOrFilePrompt.Default_File_Name
-# -- Missing translation: NewFolderOrFilePrompt.Default_Folder_Name
-# -- Missing translation: NewFolderOrFilePrompt.Destination_Name
-# -- Missing translation: NewFolderOrFilePrompt.File_Name
-# -- Missing translation: NewFolderOrFilePrompt.File_Name_Tooltip
-# -- Missing translation: NewFolderOrFilePrompt.Folder_Name
-# -- Missing translation: NewFolderOrFilePrompt.Folder_Name_Tooltip
-# -- Missing translation: NewFolderOrFilePrompt.Title_Folder
-# -- Missing translation: NewFolderOrFilePrompt.Title_File
+NewFolderOrFilePrompt.Default_File_Name:postizo
+NewFolderOrFilePrompt.Default_Folder_Name:nueva carpeta
+NewFolderOrFilePrompt.Destination_Name:Carpeta Destino
+NewFolderOrFilePrompt.File_Name:Nombre del Archivo
+NewFolderOrFilePrompt.File_Name_Tooltip:Dar un nombre para el nuevo archivo
+NewFolderOrFilePrompt.Folder_Name:Nombre de la Carpeta
+NewFolderOrFilePrompt.Folder_Name_Tooltip:Dar un nombre para la nueva carpeta
+NewFolderOrFilePrompt.Title_Folder:Crear una nueva carpeta
+NewFolderOrFilePrompt.Title_File:Crear un nuevo documento postizo
 #***********************
 #
@@ -1434,5 +1444,7 @@
 #******* OldWGET *******
 NoPluginExpectedToProcessFile.Message:No se encuentra ningÃºn plugin de Greenstone que pueda procesar el archivo "{0}". Compruebe que el archivo tiene la extensiÃ³n correcta. Si la extensiÃ³n es correcta entonces tendrÃ¡ que usar el plugin Unkowm para procesar este archivo.
+
 NoPluginExpectedToProcessFile.Title:No se encuentra un plugin que pueda procesar el archivo
+
 #**********************
 #
@@ -1529,12 +1541,11 @@
 Preferences.General.Email_Tooltip:La direcciÃ³n de correo electrÃ³nico usada automÃ¡ticamente para cualquier colecciÃ³n creada por medio de GLI. 
 
-# -- Missing translation: Preferences.General.Font
-# -- Missing translation: Preferences.General.Font_Tooltip
+Preferences.General.Font:Fuente:
+Preferences.General.Font_Tooltip:La fuente utilizada para el interfaz GLI.
 Preferences.General.Interface_Language:Idioma de la interfaz:
 
 Preferences.General.Interface_Language_Tooltip:Seleccione el idioma en el que usted desea que aparezcan los controles y la interfaz.
 
-Preferences.General.Restart_Required:La Interfaz de la Biblioteca Digital deberÃ¡ reiniciarse ahora para que pueda cargar el nuevo idioma. 
-
+Preferences.General.Restart_Required:Se debe reiniciar GLI para completar la actualizaciÃ³n de su interfaz.
 Preferences.General.Show_File_Size:Mostrar el tamaÃ±o de los archivos
 
@@ -1628,5 +1639,5 @@
 #
 #***** Trees *****
-# -- Missing translation: Tree.DownloadedFiles
+Tree.DownloadedFiles:Archivos Descargados
 Tree.Files:archivos
 
@@ -1655,15 +1666,22 @@
 #****** Workflows *****
 Workflow.AllPanels:Todos los paneles
+
 Workflow.LocalSourceCollectionBuilding:Construyendo la colecciÃ³n de fuente local
+
 Workflow.DocumentEnriching:Enriqueciendo el documento
 
 
 GEMS.Already_Loaded_Set_Error:El conjunto de metadatos seleccionado ya estÃ¡ abierto.
+
 GEMS.Element_Already_Exists:Ya existe un elemento con ese nombre
+
 GEMS.Set_Already_Exists:Un conjunto con este namespace ya existe
+
 GEMS.Cannot_Delete_Core_Sets_Error:No puede borrar un conjunto de metadatos fundamental de GLI.
 
+
 GEMS.Preferences.Selected_Languages_Tooltip:Seleccionar los lenguajes a mostrar:
 
+
 GEMS.Add_Attribute:AÃ±adir atributo
 
@@ -1674,6 +1692,6 @@
 GEMS.Add_Element_Tooltip:Le aÃ±ade un nuevo elemento al conjunto seleccionado
 
-# -- Missing translation: GEMS.Add_Subelement
-# -- Missing translation: GEMS.Add_Subelement_Tooltip
+GEMS.Add_Subelement:Agregar subelemento
+GEMS.Add_Subelement_Tooltip:Agregar un  nuevo subelemento al elemento seleccionado
 GEMS.Add_Set:AÃ±adir conjunto
 
@@ -1690,9 +1708,9 @@
 GEMS.Attributes:Atributos
 
-# -- Missing translation: GEMS.Cannot_Undo
+GEMS.Cannot_Undo:(esta acciÃ³n no se puede deshacer)
 GEMS.Cannot_Add_Elements_To_Greenstone_MDS:No se pueden aÃ±adir manualmente elementos a los Metadatos Greenstone. En caso\n necesario, construya un nuevo conjunto y aÃ±Ã¡dale el nuevo elemento.
 
-# -- Missing translation: GEMS.Confirm_Exit_Save
-# -- Missing translation: GEMS.Confirm_Exit_Save_Title
+GEMS.Confirm_Exit_Save:Â¿Deasea salvar antes de salir?
+GEMS.Confirm_Exit_Save_Title:Â¿Salvar Antes de Salir?
 GEMS.Confirm_Removal:Â¿EstÃ¡ seguro de que desea eliminar este {0}?
 
@@ -1719,25 +1737,25 @@
 GEMS.Namespace:Indicador del conjunto
 
-# -- Missing translation: GEMS.New_Name
+GEMS.New_Name:Nuevo Nombre
 GEMS.No_Description:No se encontrÃ³ la descripciÃ³n.
 
 GEMS.No_Name:No se encontrÃ³ el nombre.
 
-# -- Missing translation: GEMS.Open_Set
-# -- Missing translation: GEMS.Remove_Attribute
+GEMS.Open_Set:Conjunto Abierto
+GEMS.Remove_Attribute:Remover atributo
 GEMS.Remove_Attribute_Tooltip:Elimina el atributo seleccionado
 
-# -- Missing translation: GEMS.Remove_Element
+GEMS.Remove_Element:Remover elemento
 GEMS.Remove_Element_Tooltip:Elimina el elemento seleccionado del conjunto
 
-# -- Missing translation: GEMS.Remove_Set
+GEMS.Remove_Set:Remover conjunto
 GEMS.Remove_Set_Tooltip:Elimina el conjunto seleccionado
 
-# -- Missing translation: GEMS.Rename_Element
-# -- Missing translation: GEMS.Rename_Element_Tooltip
-# -- Missing translation: GEMS.Rename_Name_Tooltip
-# -- Missing translation: GEMS.Rename_Namespace_Tooltip
-# -- Missing translation: GEMS.Rename_Set
-# -- Missing translation: GEMS.Rename_Set_Tooltip
+GEMS.Rename_Element:Renombrar elemento
+GEMS.Rename_Element_Tooltip:Nuevo nombre del elemento
+GEMS.Rename_Name_Tooltip:Nuevo nombre del conjunto de metadatos
+GEMS.Rename_Namespace_Tooltip:Espacio de nombres Ãºnico del conjunto de metadatos
+GEMS.Rename_Set:Renombrar conjunto
+GEMS.Rename_Set_Tooltip:Renombrar el conjunto de metadatos
 GEMS.Set:Conjunto
 
@@ -1748,6 +1766,6 @@
 GEMS.Set_Namespace_Tooltip:Es un indicador Ãºnico para el nuevo conjunto de metadatos
 
-# -- Missing translation: GEMS.Subelement_Name_Tooltip
-# -- Missing translation: GEMS.Subelement_Already_Exists
+GEMS.Subelement_Name_Tooltip:Nombre del nuevo subelemento
+GEMS.Subelement_Already_Exists:Ya existe un subelemento con este nombre.
 GEMS.Target:Elemento
 
@@ -1759,3 +1777,5 @@
 
 GEMS.inheritMetadataSet:Heredar del conjunto de metadatos:
+
 GEMS.Add_Set.No_Inherit:No heredar
+