Index: trunk/gsdl/perllib/strings_es.rb
===================================================================
--- trunk/gsdl/perllib/strings_es.rb	(revision 9429)
+++ trunk/gsdl/perllib/strings_es.rb	(revision 9603)
@@ -68,5 +68,6 @@
 
 
-# -- Missing translation: scripts.listall
+scripts.listall:Listar todos los Ã­tems conocidos.
+
 
 
@@ -143,4 +144,5 @@
 buildcol.remove_empty_classifications:Ocultar los clasificadores y los nodos de clasificaciÃ³n vacÃ­os (aquellos que no contienen documentos).
 
+
 buildcol.unlinked_col_images:No pueden unirse las imÃ¡genes de la colecciÃ³n de manera correcta.
 
@@ -186,5 +188,5 @@
 
 # -- explode_metadata_database.pl --
-# -- Missing translation: explode.desc
+explode.desc:Explotar una base de datos de metadatos.
 
 explode.document_field:El elemento de los meta-datos que especifica los nombres de archivo de los documentos a obtener e incluir en la colecciÃ³n.
@@ -197,9 +199,9 @@
 
 
-# -- Missing translation: explode.encoding
-# -- Missing translation: explode.filename_field
-# -- Missing translation: explode.metadata_set
-# -- Missing translation: explode.plugin
-# -- Missing translation: explode.params
+explode.encoding:CodificaciÃ³n a utilizar al leer el archivo de la base de datos
+explode.filename_field:Campo a utilizar para los nombres de los archivos nulos generados (si no existe document_field o ese campo estÃ¡ vacÃ­o)
+explode.metadata_set:Conjunto de metadatos (espacio de nombres) para exportar todos los metadatos
+explode.plugin:Plugin a utilizar para explotar
+explode.params:[opciones] nombre de archivo
 # -- exportcol.pl --
 
@@ -232,5 +234,5 @@
 exportcol.output_dir:Las colecciones que se exportaron (%s) se encuentran en %s
 
-# -- Missing translation: exportcol.nonetscape
+exportcol.nonetscape:No adjuntar netscape al CD-ROM exportado.
 exportcol.export_coll_not_installed:La funcionalidad de 'Exportar a un CD-ROM' no ha estado instalada.
 
@@ -291,14 +293,18 @@
 
 
-# -- Missing translation: import.OIDtype.assigned
-
-# -- Missing translation: import.OIDtype.dirname
+import.OIDtype.assigned:Utiliza 'D' mÃ¡s el valor de dc.Identifier como el identificador del documento. Los dc.Identifiers deben ser Ãºnicos. Si al documento no se le ha asignado un dc.Identifier, se procede a utilizar una identificaciÃ³n generada por hash.
+
+import.OIDtype.dirname:Utiliza como identificador 'J' mÃ¡s el nombre del directorio padre. Se parte de la base de que sÃ³lo existe un documento por directorio y que todos los nombres de directorio son Ãºnicos. Por ejemplo: import/b13as/h15ef/page.html producirÃ¡ Jh15ef como identificador.
+
 
 import.saveas:Establece el fomato de archivo a generar. La preselecciÃ³n es GA.
 
+
 import.saveas.GA:GenerarÃ¡ formato de archivo Greenstone.
 
+
 import.saveas.METS:GenerarÃ¡ formato METS:
 
+
 import.out:Nombre de archivo o maneja para imprimir el estado del rendimiento.
 
@@ -330,6 +336,8 @@
 export.exportdir:LocalizaciÃ³n final del material exportado.
 
+
 export.cannot_open_stats_file:ATENCIÃN:No se puede abrir el archivo de estadÃ­sticas %s.
 
+
 export.cannot_open_fail_log:ERROR: No se puede abrir el registro de errores %s
 
@@ -337,16 +345,23 @@
 export.cannot_sort:ATENCIÃN: export.pl no puede ordenar los documentos cuando groupsize>1. Se ignorarÃ¡ la opciÃ³n sortmeta.
 
+
 export.collectdir:Directorio de la colecciÃ³n
 
+
 export.complete:ExportaciÃ³n completa
 
+
 export.debug:Imprimir el texto exportado a STDOUT.
 
+
 export.desc:Script PERL usado para importar archivos al formato GML preparado para la construcciÃ³n.
 
+
 export.faillog:Nombre de archivo del registro de fallos. Este registro contiene el nombre de cualquier archivo que falle al ser procesado.
 
+
 export.groupsize:NÃºmero de documentos importados a agrupar en un archivo XML.
 
+
 export.gzip:Use gzip para comprimir los documentos xml resultantes (no olvide incluir ZIPPlug en su lista de plugins cuando construya desde documentos comprimidos).
 
@@ -354,35 +369,53 @@
 export.importdir:LocalizaciÃ³n del material original.
 
+
 export.keepold:No destruirÃ¡ el contenido actual del directorio export (predefinido).
 
+
 export.maxdocs:NÃºmero mÃ¡ximo de documentos a importar.
 
+
 export.no_plugins_loaded:ERROR: no se han cargado plugins.
 
+
 export.OIDtype:MÃ©todo usado cuando se generan identificadores Ãºnicos para cada documento.
+
 export.OIDtype.hash:Marca el contenido del archivo. El identificador del documento serÃ¡ el mismo cada vez que se importe la colecciÃ³n.
+
 export.OIDtype.incremental:Contador simple de documentos bastante mÃ¡s rÃ¡pido que "hash". No se garantiza que siempre asigne el mismo identificador a un documento dado, y no permite que se aÃ±adan nuevos documentos a archivos xml ya existentes.
 
+
 export.saveas:Sirve para decidir el formato de exportaciÃ³n a generar. La selecciÃ³n previa es METS.
 
+
 export.saveas.DSpace:GenerarÃ¡ formato de archivo Dspace.
 
+
 export.saveas.METS:GenerarÃ¡ formato METS.
 
+
 export.out:archivo o dispositivo en el que imprimir el estado de salida.
 
+
 export.params:[options] nombre de colecciÃ³n
 
+
 export.removeold:BorrarÃ¡ los contenidos previos del directorio export -- usar con cuidado.
 
+
 export.removing_export:Borrando los contenidos actuales del directorio exportâŠ
 
+
 export.sortmeta:Ordenar los documentos alfabÃ©ticamente por metadatos para construir. Se desactivarÃ¡ si groupsize > 1.
 
+
 export.statsfile:archivo o dispositivo en el que imprimiar las estadÃ­sticas de exportaciÃ³n.
 
+
 export.stats_backup:ImrprimirÃ¡ las estadÃ­sticas en STDERR en su lugar.
 
+
 export.verbosity:Controla la cantidad de salida. 0=nada, 3=mucha.
+
 
 
@@ -493,8 +526,11 @@
 AutoHierarchy.desc:Plugin clasificador para generar una clasificaciÃ³n jerÃ¡rquica basada en metadatos estructurados, sin necesidad de un archivo suplementario.
 
+
 AutoHierarchy.separator:ExpresiÃ³n regular utilizada por el separador
 
+
 AutoHierarchy.suppresslastlevel:Ignorar la parte final del valor del metadato. Es Ãºtil para metadatos en los cuales cada valor es Ãºnico, como en la rutas de archivos.
 
+
 AZCompactList.allvalues:Utilizar todos los valores de meta-datos encontrados
 
@@ -566,7 +602,7 @@
 
 
-# -- Missing translation: BasClas.removeprefix
-
-# -- Missing translation: BasClas.removesuffix
+BasClas.removeprefix:Un prefijo que al clasificar se debe ignorar en los valores de los metadatos.
+
+BasClas.removesuffix:Un sufijo que al clasificar se debe ignorar en los valores de los metadatos.
 
 BasClas.verbosity:Controla la cantidad de (output) rendimiento. 0=ninguno, 3=muchos.
@@ -587,4 +623,5 @@
 DateList.reverse_sort:Ordenar los documentos en orden cronolÃ³gico inverso (el mÃ¡s nuevo al comienzo).
 
+
 DateList.nogroup:Haga de cada aÃ±o una entrada individual en la lista horizontal, en vez de extender los aÃ±os con pocas entradas. (Esto tambiÃ©n se puede usar con la opciÃ³n -bymonth para hacer que cada mes tenga una entrada separada en vez de combinarlas).
 
@@ -606,4 +643,5 @@
 
 Hierarchy.reverse_sort:Ordenar hojas de nodos en orden inverso (usar con -sort).
+
 Hierarchy.sort:Campo de Metadata para clasificar. Use '-sort nosort' para no clasificar.
 
@@ -631,4 +669,5 @@
 
 Phind.min_occurs:MÃ­nimo nÃºmero de veces que debe aparecer una frase en el texto para que sea incluida en la jerarquÃ­a de frases.
+
 
 Phind.savephrases:Si estÃ¡ determinado, la informaciÃ³n de la frase se guardarÃ¡ en el archivo como texto. Probablemente es una buena idea para utilizar una ruta absoluto.
@@ -702,5 +741,5 @@
 
 
-# -- Missing translation: BasPlug.associate_ext
+BasPlug.associate_ext:Hace que los archivos cuyos nombres contienen la misma parte inicial que el documento procesado por el plugin Y una extensiÃ³n que figura en la lista separada por comas que provee este argumento, sean asociados con el documento que se estÃ¡ procesando en vez de ser manejados como una lista separada.
 
 BasPlug.could_not_extract_encoding:ALERTA: codificando no podrÃ­an extraerse de % s - predefiniendo a % s
@@ -715,4 +754,5 @@
 BasPlug.no_cover_image:No buscar un archivo prefix.jpg (en el cual prefix es el mismo prefix que el del archivo que estÃ¡ siendo procesado) y asociarlo como imagen de portada.
 
+
 BasPlug.default_encoding:Utilice esta codificaciÃ³n si -input_encoding estÃ¡ puesto en âautoâ y el algoritmo de categorizaciÃ³n de texto no puede extraer el cÃ³digo o extrae un cÃ³digo que Greenstone no soporte. Esta opciÃ³n puede tomar los mismos valores que -input_encoding.
 
@@ -757,7 +797,7 @@
 
 
-# -- Missing translation: BasPlug.extract_keyphrases
-
-# -- Missing translation: BasPlug.extract_keyphrase_options
+BasPlug.extract_keyphrases:Extraer automÃ¡ticamente frases clave con Kea (opciones por defecto).
+
+BasPlug.extract_keyphrase_options:Opciones para extracciÃ³n de frases clave con Kea. Por ejemplo: mALIWEB - utilizar el modelo de extracciÃ³n ALIWEB; n5 - extraer 5 frases clave;, eGBK - utilizar codificaciÃ³n GBK.
 
 BasPlug.extracting_emails:extrayendo direcciones electrÃ³nicas	
@@ -808,5 +848,5 @@
 
 
-# -- Missing translation: BasPlug.smart_block
+BasPlug.smart_block:Ablocar los archivos en una forma mÃ¡s inteligente que simplemente examinando sus nombres.
 
 BasPlug.stems:tallos (inicios, bases)
@@ -868,4 +908,10 @@
 
 
+# -- Missing translation: GISBasPlug.extract_placenames
+
+# -- Missing translation: GISBasPlug.gazetteer
+
+# -- Missing translation: GISBasPlug.place_list
+
 GMLPlug.desc:Plugin que procesa un formato en documento GML asume que las etiquetas gml estÃ¡n todos escritas en letras minÃºsculas.
 
@@ -898,5 +944,6 @@
 
 
-# -- Missing translation: HTMLPlug.no_strip_metadata_html
+HTMLPlug.no_strip_metadata_html:Lista de nombres de metadatos separados por comas o 'all'. Utilizado con -description_tags, evita la supresiÃ³n de las etiquetas HTML de los valores de los metadatos especificados.
+
 
 HTMLPlug.nolinks:No se esfuerce por tomar links (poniendo esta bandera puede mejorar la velocidad para crear/importar pero cualquier link relativo dentro de los documentos se romperÃ¡).
@@ -957,5 +1004,8 @@
 
 
-# -- Missing translation: NULPlug.desc
+# -- Missing translation: MetadataPass.desc
+# -- Missing translation: GISBasPlug.desc
+
+NULPlug.desc:Plugin de archivo postizo (.nul). Utilizado con los archivos producidos al explotar los archivos de la base de datos de metadatos.
 
 OAIPlug.desc:Plugin Inicio de Archivos Abiertos BÃ¡sicos (OAI)
@@ -964,6 +1014,8 @@
 OggVorbisPlug.add_technical_metadata:AÃ±adir metadatos tÃ©cnicos (ej. bitrate)
 
+
 OggVorbisPlug.desc:Plugin para importar archivos de audio Ogg Vorbis.
 
+
 PagedImgPlug.desc:El plugin para documentos consiste de secuencias de imÃ¡genes, con texto opcional de OCR para cada imagen.
 
@@ -978,4 +1030,5 @@
 PagedImgPlug.headerpage:AÃ±adir una cabecera de pÃ¡gina de nivel principal (que no contenga imagen) a cada documento.
 
+
 PagedImgPlug.screenview:Producir una imagen "screenview"  para cada imagen, asÃ­ como metadatos Screen, ScreenSize, ScreenWidth y ScreenHeight.
 
@@ -1070,6 +1123,10 @@
 UnknownPlug.file_format:Tipo de archivo (ej: MPEG, MIDI, âŠ)
 
+
 UnknownPlug.mime_type:Tipo mime del archivo (por ejemplo image/gif).
 
+
+# -- Missing translation: UnknownPlug.process_extension
+
 MP3Plug.desc:Plugin para procesar archivos MP3.
 
@@ -1079,5 +1136,7 @@
 MP3Plug.assoc_images:Usado para almacenar [applet] metadatos para cada documento que contiene el HTML necesario para que un applet de audio MP3 pueda reproducir ese archivo.
 
+
 MP3Plug.metadata_fields:Lista de campos de metadatos separados por comas, a extraer (asumiendo los existentes) de un archivo MP3. Use \"*\" para extraer todos los campos.
+
 
 W3ImgPlug.aggressiveness:El rango de tÃ©cnicas de extracciÃ³n de textos relacionados a utilizar.