Index: trunk/gsdl/src/colservr/collectset.cpp
===================================================================
--- trunk/gsdl/src/colservr/collectset.cpp	(revision 9620)
+++ trunk/gsdl/src/colservr/collectset.cpp	(revision 9631)
@@ -303,5 +303,5 @@
     confin.close();
   }
-  delete build_cfgc;
+  delete []build_cfgc;
 
   collectserver *cserver = new collectserver();
Index: trunk/gsdl/src/colservr/colservrconfig.cpp
===================================================================
--- trunk/gsdl/src/colservr/colservrconfig.cpp	(revision 9620)
+++ trunk/gsdl/src/colservr/colservrconfig.cpp	(revision 9631)
@@ -28,4 +28,7 @@
 /*
    $Log$
+   Revision 1.5  2005/04/11 21:08:04  kjdon
+   delete -> delete [] change submitted by Emanuel Dejanu
+
    Revision 1.4  2001/01/25 18:26:44  cs025
    Included CORBA branch for first time
@@ -80,5 +83,5 @@
   char *cstr = filename.getcstr();
   ifstream confin (cstr);
-  delete cstr;
+  delete []cstr;
 
   if (confin) {
@@ -122,5 +125,5 @@
   char *cstr = filename.getcstr();
   ifstream confin (cstr);
-  delete cstr;
+  delete []cstr;
 
   if (confin) {
Index: trunk/gsdl/src/colservr/mgppsearch.cpp
===================================================================
--- trunk/gsdl/src/colservr/mgppsearch.cpp	(revision 9620)
+++ trunk/gsdl/src/colservr/mgppsearch.cpp	(revision 9631)
@@ -132,5 +132,5 @@
   char* utf8querystring=to_utf8(queryparams.querystring).getcstr();
   SetCStr(queryArray, utf8querystring);
-  delete utf8querystring;
+  delete []utf8querystring;
 
   // create the mgpp query tree
@@ -182,5 +182,5 @@
     char* termfreq_cstr=GetCStr(queryResult.termFreqs[k].term);
     term.termstr = to_uni(termfreq_cstr);
-    delete termfreq_cstr;
+    delete []termfreq_cstr;
     term.termstemstr = term.termstr;
     // we don't set term.utf8equivterms ?? - jrm21
@@ -192,10 +192,10 @@
       char* equivterm_cstr=GetCStr(queryResult.termFreqs[k].equivTerms[j]);
       queryresult.termvariants.insert(to_uni(equivterm_cstr));
-      delete equivterm_cstr;
+      delete []equivterm_cstr;
     }
 
   }
   // clean up
-  delete indexname;
+  delete []indexname;
   return true;
 
@@ -239,5 +239,5 @@
   char* utf8querystring=to_utf8(queryparams.querystring).getcstr();
   SetCStr(browseNode.term, utf8querystring);
-  delete utf8querystring;
+  delete []utf8querystring;
 
   // do the actual query
@@ -250,5 +250,5 @@
     char* term_cstr = GetCStr(browseResult.termFreqs[i].term);
     term.termstr = to_uni(term_cstr);
-    delete term_cstr;
+    delete []term_cstr;
     term.termstemstr = term.termstr;
     term.termfreq = browseResult.termFreqs[i].termFreq;
@@ -258,5 +258,5 @@
   }
   // clean up
-  delete indexname;
+  delete []indexname;
 
   return true;
@@ -301,5 +301,5 @@
   char* doctext_cstr = GetCStr(doctext);
   output = to_uni(doctext_cstr); // convert from utf-8 to unicode
-  delete doctext_cstr;
+  delete []doctext_cstr;
 
   // here need to remove the <Document>, <Section>, <Paragraph> tags
@@ -308,5 +308,5 @@
   //clean up
   textdata.UnloadData ();
-  delete textname;
+  delete []textname;
 
   return true;
Index: trunk/gsdl/src/colservr/mgsearch.cpp
===================================================================
--- trunk/gsdl/src/colservr/mgsearch.cpp	(revision 9620)
+++ trunk/gsdl/src/colservr/mgsearch.cpp	(revision 9631)
@@ -280,8 +280,8 @@
 
   // free up the c strings
-  delete ccollection;
-  delete idxsuffix;
-  delete txtsuffix;
-  delete ccollectdir;
+  delete []ccollection;
+  delete []idxsuffix;
+  delete []txtsuffix;
+  delete []ccollectdir;
 
   return databaseloaded;
@@ -408,5 +408,5 @@
 
   // destroy the temporary character array
-  delete querystring;
+  delete []querystring;
 }
 
@@ -529,5 +529,5 @@
 //    assert (ccollection != NULL);
 //    databaseloaded = load_text_database (ccollection);
-//    delete ccollection;
+//    delete []ccollection;
   
   // try and load the database
Index: trunk/gsdl/src/colservr/phrasesearch.cpp
===================================================================
--- trunk/gsdl/src/colservr/phrasesearch.cpp	(revision 9620)
+++ trunk/gsdl/src/colservr/phrasesearch.cpp	(revision 9631)
@@ -214,5 +214,5 @@
       doclen = fulldoc.size();
       bool rv = doc_phrase_search ((unsigned char *)doc, doclen, phrase);
-      delete doc;
+      delete []doc;
       return rv;
 