Index: /trunk/gli/gli.bat
===================================================================
--- /trunk/gli/gli.bat	(revision 9655)
+++ /trunk/gli/gli.bat	(revision 9656)
@@ -24,10 +24,10 @@
 echo.
 if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "en" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
 if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
 
 if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "es" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
 if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
@@ -35,5 +35,5 @@
 
 if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "fr" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
 if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
@@ -41,5 +41,5 @@
 
 if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "ru" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
 if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
Index: /trunk/gli/gli.sh
===================================================================
--- /trunk/gli/gli.sh	(revision 9655)
+++ /trunk/gli/gli.sh	(revision 9656)
@@ -5,5 +5,5 @@
 if [ "$glilang" == "es" ]; then
     echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -11,15 +11,15 @@
 elif [ "$glilang" == "fr" ]; then
     echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" == "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
Index: /trunk/gli/gli4gs3.bat
===================================================================
--- /trunk/gli/gli4gs3.bat	(revision 9655)
+++ /trunk/gli/gli4gs3.bat	(revision 9656)
@@ -24,10 +24,10 @@
 echo.
 if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "en" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
 if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
 
 if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "es" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
 if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
@@ -35,5 +35,5 @@
 
 if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "fr" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
 if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
@@ -41,5 +41,5 @@
 
 if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "ru" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
 if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
Index: /trunk/gli/gli4gs3.sh
===================================================================
--- /trunk/gli/gli4gs3.sh	(revision 9655)
+++ /trunk/gli/gli4gs3.sh	(revision 9656)
@@ -5,5 +5,5 @@
 if [ "$glilang" == "es" ]; then
     echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -11,15 +11,15 @@
 elif [ "$glilang" == "fr" ]; then
     echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" == "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
Index: /trunk/gli/makegli.bat
===================================================================
--- /trunk/gli/makegli.bat	(revision 9655)
+++ /trunk/gli/makegli.bat	(revision 9656)
@@ -7,10 +7,10 @@
 echo.
 if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "en" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
 if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
 
 if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "es" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
 if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
@@ -18,5 +18,5 @@
 
 if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "fr" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
 if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
@@ -24,5 +24,5 @@
 
 if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "ru" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
 if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
Index: /trunk/gli/makegli.sh
===================================================================
--- /trunk/gli/makegli.sh	(revision 9655)
+++ /trunk/gli/makegli.sh	(revision 9656)
@@ -5,5 +5,5 @@
 if [ "$glilang" == "es" ]; then
     echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -11,15 +11,15 @@
 elif [ "$glilang" == "fr" ]; then
     echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" == "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2004, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"