Index: branches/ant-install-branch/gsdl3/gs3-launch.bat.in
===================================================================
--- branches/ant-install-branch/gsdl3/gs3-launch.bat.in	(revision 9683)
+++ 	(revision )
@@ -1,64 +1,0 @@
-@echo off
-
-echo.
-echo Greenstone 3 (GSDL3)
-echo Copyright (C) 2004 New Zealand Digital Libraries, University Of Waikato
-echo Greenstone 3 comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
-echo This is free software, and you are welcome to redistribute it
-echo.
-
-::  -------- Launch the Greenstone 3 Digital Library Software --------
-
-if exist gs3-setup.bat goto begin
-  echo This script must be run from within the Greenstone 3 home directory
-  pause
-  goto exit
-
-:begin
-:: ---- Run setup.bat to set the necessary environment variables ----
-call gs3-setup.bat
-echo.
-
-:: Set up java options for catalina
-set CATALINA_HOME=%GSDL3HOME%\comms\jakarta\tomcat
-set CATALINA_OPTS="-Djava.util.prefs.syncInterval=2000000 -DGSDL3HOME=%GSDL3HOME% -DGSDLOS=%GSDLOS% -DPATH=%PATH%"
-
-if ""%1"" == ""-shutdown"" goto shutdown
-    ::  -------- Run MySQL --------
-    echo Starting MySQL server...
-    echo.
-    cd %GSDL3HOME%\packages\mysql
-    start bin\mysqld
-    cd %GSDL3HOME%
-    echo Done.
-
-    ::  -------- Run Tomcat --------
-    echo Starting Tomcat Webserver...
-    echo.
-    call "%GSDL3HOME%\comms\jakarta\tomcat\bin\startup.bat"
-    echo Done.
-
-    :: ---- Launch a web browser ----
-    start http://localhost:8080/gsdl3
-    goto exit
-
-:shutdown
-    :: -------- Stop Tomcat --------
-    echo Shutting down Tomcat Webserver...
-    echo.
-    call "%GSDL3HOME%\comms\jakarta\tomcat\bin\shutdown.bat"
-    echo Done.
-
-    :: -------- Stop MySQL --------
-    echo Stopping MySQL server...
-    echo.
-    cd %GSDL3HOME%\packages\mysql
-    bin\mysqladmin --user=root shutdown
-    cd %GSDL3HOME%
-    echo Done.
-
-    echo ****************************************************************
-    echo  Greenstone 3 has been shutdown. Run gs3-launch.bat to restart.
-    echo ****************************************************************
-
-:exit
Index: branches/ant-install-branch/gsdl3/gs3-launch.sh.in
===================================================================
--- branches/ant-install-branch/gsdl3/gs3-launch.sh.in	(revision 9683)
+++ 	(revision )
@@ -1,94 +1,0 @@
-#!/bin/sh
-
-echo
-echo "Greenstone 3 (GSDL3)"
-echo "Copyright (C) 2004 New Zealand Digital Libraries, University Of Waikato"
-echo "Greenstone 3 comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
-echo "This is free software, and you are welcome to redistribute it"
-echo
-
-##  -------- gs3-setup.sh      --------
-
-if [ ! -f gs3-setup.sh ]; then
-    echo "You must run this script from within the Greenstone 3 home directory"
-    exit 1
-fi
-
-#set up the environment
-source gs3-setup.sh
-
-
-#set up java options for catalina
-CATALINA_OPTS="-Djava.util.prefs.syncInterval=2000000 -DGSDL3HOME=$GSDL3HOME -DGSDLOS=$GSDLOS -DPATH=$PATH -Xmx400M"
-export CATALINA_OPTS
-
-
-if [ "$1" != "-shutdown" ]; then
-
-    ##  -------- Run MySQL --------
-    echo "Starting MySQL Daemon..."
-    echo ""
-    pushd $GSDL3HOME/packages/mysql
-    ./bin/mysqld_safe --basedir=. --datadir=./data --err-log=./var/log/mysql.log --socket=/tmp/mysql.sock --user=root --pid_file=gsdl3.pid  &
-    popd
-    echo "Done."
-
-    ##  -------- Run Tomcat --------
-    echo "Starting Tomcat Webserver..."
-    echo ""
-    pushd $GSDL3HOME/comms/jakarta/tomcat/bin
-    ./startup.sh
-    popd
-    echo "Done. It will be ready in a minute."
-
-    ##  -------- Greenstone 3 --------
-    echo ""
-    echo "****************************************************************"
-    echo "Greenstone  collections  will  start  being  served  in  several"
-    echo "minutes.  Use your browser to view the Greenstone collections by"
-    echo "choosing to:"
-    echo ""
-    echo "   'run the library servlet'"
-    echo ""
-    echo "from the page shown at:"
-    echo ""
-    echo "   http://localhost:8080/gsdl3"
-    echo ""
-    echo "To cease  serving  greenstone  collections  please run this file"
-    echo "again but provide the shutdown argument like so:"
-    echo ""
-    echo "   gs3-launch.sh -shutdown"
-    echo ""
-    echo "****************************************************************"
-    echo ""	
- 
-else 
-    
-    ## -------- Stop Tomcat --------
-    echo "Shutting Down Tomcat Webserver..."
-    echo ""
-    pushd $GSDL3HOME/comms/jakarta/tomcat/bin
-    ./shutdown.sh
-    popd
-    echo "Done."
-
-    ## -------- Stop MySQL --------
-    echo "Stop MySQL Daemon..."
-    echo ""
-    pushd $GSDL3HOME/packages/mysql
-    ./bin/mysqladmin --user=root --socket=/tmp/mysql.sock shutdown
-    popd
-    #./gs3-mysql-server.sh stop
-    echo "Done."
-
-    ##  -------- Greenstone 3 -------- 
-    echo "****************************************************************"
-    echo " Greenstone 3 has been shutdown. Run gs3-launch.sh to restart."
-    echo "****************************************************************"
-
-fi
-
-exit 0
-
-
-