Index: /branches/ant-install-branch/gsdl3/README.txt
===================================================================
--- /branches/ant-install-branch/gsdl3/README.txt	(revision 9726)
+++ /branches/ant-install-branch/gsdl3/README.txt	(revision 9727)
@@ -4,16 +4,18 @@
 This is free software, and you are welcome to redistribute it
 
-|--------|
-| Linux: | 
-|--------|
-
-Installing Greenstone from a binary distribution:
--------------------------------------------------
+Installing Greenstone from a binary distribution (Linux):
+---------------------------------------------------------
 
 Download the gsdl3-x.xx-linux executable file, and run it. Follow the instructions given.
 
-Installing Greenstone from a CVS checkout:
-------------------------------------------
+Installing Greenstone from a binary distribution (Windows):
+-----------------------------------------------------------
 
+Download the gsdl3-x.xx-win32.exe executable file, and double click on it. 
+Follow the instructions given. 
+
+
+Installing Greenstone from a CVS checkout (Linux and Windows):
+--------------------------------------------------------------
 
 Checkout the code:
@@ -25,5 +27,5 @@
 Greenstone is built and installed using Ant (Apache's Java based build tool, 
 http://ant.apache.org). You will need a Java Development 
-Environment (1.4 or higher), and Ant installed to use Greenstone.
+Environment (1.4 or higher), and Ant installed to use Greenstone. You can download Ant from http://ant.apache.org/bindownload.cgi.
 
 In the gsdl3 directory, you can run ant which will give you a help message.
@@ -41,67 +43,22 @@
 To startup the servers, run 'ant startup'. 'ant restart' and 'ant shutdown' restarts and shuts down the servers.
 
+On Windows, if you have installed a binary version, you can also start Greenstone by  selecting Greenstone 3 Digital Library from the Start menu.
 
-Using SOAP:
-------------
+Using SOAP (Linux and Windows):
+-------------------------------
 
-Greenstone comes setup to use SOAP. SOAP runs as a servlet inside Tomcat, and is disabled by default. To enable it, run
-./gs3-enable-soap.sh
-Then re-launch Greenstone: 
-./gs3-launch.sh -shutdown
-./gs3-launch.sh
-
-A SOAP server for localsite comes predeployed.
-You should be able to see all localsite's collections through the gateway servlet.
+Greenstone comes with Apache Axis installed as a webapp in Tomcat.  A SOAP server on localsite is deployed during installation. You should be able to see all localsite's collections through the gateway servlet.
 
 To set up a SOAP server on a new site, run
-gs3-soap-deploy-site.sh <sitename> <siteURI>
-where the sitename is the directory name of the site, and siteURI is a unique 
-identifier for the sites 'web service'.
+ant soap-deploy-site
+This will prompt you for the sitename (the directory name), and the site uri - this should be a unique identifier for the site's web service.
 
-
-
-|----------|
-| Windows: |
-|----------|
-
-Installing Greenstone from a binary distribution:
--------------------------------------------------
-
-Download the gsdl3-x.xx-win32.exe executable file, and double click on it. 
-
-To run Greenstone, select Greenstone 3 Digital Library from the Start menu.
-
-Installing Greenstone from a CVS checkout:
-------------------------------------------
-
-(cvs co gsdl3) (if not already done)
-cd gsdl3
-gs3-install
-
-To run Greenstone, run
-gs3-launch
-This starts up the Tomcat web server and mysql database server.
-
-Using SOAP: 
-------------
-
-Greenstone comes setup to use SOAP. SOAP runs as a servlet inside Tomcat, and is disabled by default. To enable it, run
-gs3-enable-soap
-Then shutdown and restart Greenstone.
-
-A SOAP server for localsite comes predeployed.
-You should be able to see all localsite's collections through the gateway servlet.
-
-To set up a SOAP server on a new site, run
-gs3-soap-deploy-site <sitename> <siteURI>
-where the sitename is the directory name of the site, and siteURI is a unique 
-identifier for the sites 'web service'.
-
-|--------------|
-| Other notes: |
-|--------------|
+Other Notes:
+---------------
 
 See gsdl3/docs/manual/manual.pdf for more details about the software and installation etc.
 
+Tomcat logs output in gsdl3/comms/jakarta/tomcat/logs/catalina.out.
+
 To prevent Tomcat showing directory listings, edit the gsdl3/comms/jakarta/tomcat/conf/web.xml file and set the value of the "listings" servlet parameter to false.
 